using UnityEngine;

namespace VertexColor.ScenePartition.Editor
{
    [CreateAssetMenu(fileName = "Scene", menuName = "Max/ScenePartitionDataSO")]
    public class ScenePartitionDataSO : ScriptableObject
    {
        public bool hasCreatedPartitions => scenePartitions != null && scenePartitions.Count > 0;
        public SerializableSortedList<uint, ScenePartition> scenePartitions = new SerializableSortedList<uint, ScenePartition>();

        public bool hasLoadedPartitions => loadedScenePartitions != null && loadedScenePartitions.Count > 0;
        public SerializableSortedList<uint, ScenePartition> loadedScenePartitions = new SerializableSortedList<uint, ScenePartition>();
    }
}